Welcome to EMS SQL Query!

EMS SQL Query for Interbase/Firebird is the tool that allows you to manage SQL queries to your Interbase/Firebird databases quickly and simply. Visual building as well as direct editing of query text is available. User-friendly graphical interface allows you to connect to databases, select tables and fields for your queries, set selection criteria and much more. You can work with several queries at once, edit queries and view the execution results in several modes and perform other operations you may need in your everyday work with Interbase/Firebird databases.

Visit our web-site for details: http://www.sqlmanager.net/

Key features

  • User-friendly graphical interface
  • Connect through SSH tunnel: establish connection to an intermediate SSH server and forward all Interbase/Firebird commands through the secure tunnel
  • Charsets and collations support for databases and tables provided
  • Using drag-and-drop operations when selecting tables and fields for a query visually
  • Working simultaneously with several queries in separate windows
  • Registering databases for working with the required databases only
  • Multiple database connections
  • Navigation within recently used queries and selecting the required queries
  • Syntax highlight, "quick code" and keyboard templates for faster editing query text
  • Tools for data grouping and filtering
  • The ability to create queries with unions and subqueries visually
  • The ability to create diagrams based on queries
  • Capabilities for viewing query plans
  • Flexible personalization of graphical user interface
  • Multi-language GUI support

Product information

Homepage: | http://www.sqlmanager.net/en/products/ibfb/query
Support Ticket System: | http://www.sqlmanager.net/support
Register on-line at: | http://www.sqlmanager.net/en/products/ibfb/query/buy


What's new

SQL Query for Interbase/Firebird
  • Index
  • « Prev
  • Next »

What's new?

Version | Release date
SQL Query for Interbase/Firebird 3.4.1 | March 27, 2020

What's new in SQL Query?

  • Implemented support for Azure, SQL Server 2017, MySQL Server 8, PostgreSQL 12 and Firebird 3.0.
  • PostgreSQL. Added support for materialized views.
  • Oracle. Results for NCHAR columns are now displayed correctly.
  • Connection via SSH tunnel now supports passphrase.
  • The error occured on simultaneous registering of several databases. Fixed now.
  • The error was duplicated on switching between editor tabs. Fixed now.
  • PostgreSQL. WITH queries are now processed correctly.
  • Oracle. Connection with TNS_ADMIN environment variable is now supported.
  • Other fixes and improvements.

We hope you'll enjoy working with our products.

See also:

Version history


System requirements

System requirements

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10
  • 512 MB RAM or more; 1024 MB or more recommended
  • 50 MB of available HD space for program installation
  • Microsoft Data Access Components (MDAC) or SQL Server Native Client
  • Interbase/Firebird client
  • Possibility to connect to any local or remote Interbase/Firebird server
  • Supported InterBase and Firebird server versions: InterBase - up to XE7; Firebird - up to 3.0


Installation

If you are installing SQL Query for Interbase/Firebird for the first time on your PC

  • download the SQL Query for Interbase/Firebird distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run IbQuerySetup.exe from the local directory and follow the instructions of the installation wizard;
  • after the installation process is completed, find the SQL Query for Interbase/Firebird shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of SQL Query for Interbase/Firebird to the latest version

  • download the SQL Query for Interbase/Firebird distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • close SQL Query application if it is running;
  • run IbQuerySetup.exe from the local directory and follow the instructions of the installation wizard.

Also you can use the full distribution package to upgrade your current version of SQL Query for Interbase/Firebird. In this case, you should repeat the steps you have made for the first-time installation. Note that the full distribution package is larger than a single executable file.

See also:

EMS SQL Query FAQ


Registration

All purchases are provided by Digital River registration service. The Digital River order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe.

Digital River is a global e-commerce provider for software and shareware sales via the Internet. It accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer, Check or Cash.

If you want to review your order information, or you have questions about ordering or payments please visit our Customer Care Center, provided by Digital River.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords. Also you will receive a copy of registration keys or passwords by email. Please make sure to enter a valid email address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys or passwords and download links for archives of full versions. Also you will receive a copy of registration keys or passwords by e-mail. Please make sure to enter a valid e-mail address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net

Product distribution | MyCommerce/Digital River
SQL Query for Interbase/Firebird (Business license) + 1-Year Maintenance* | Register Now!
SQL Query for Interbase/Firebird (Business license) + 2-Year Maintenance*
SQL Query for Interbase/Firebird (Business license) + 3-Year Maintenance*
SQL Query for Interbase/Firebird (Non-commercial license) + 1-Year Maintenance*
SQL Query for Interbase/Firebird (Non-commercial license) + 2-Year Maintenance*
SQL Query for Interbase/Firebird (Non-commercial license) + 3-Year Maintenance*
SQL Query for Interbase/Firebird (Trial version) | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register EMS SQL Query


How to register SQL Query

To register your newly purchased copy of EMS SQL Query for Interbase/Firebird, perform the following steps:

  • receive the notification letter from Digital River with the registration info;
  • enter the Registration Name and the Registration Key from this letter;
  • make sure that the registration process has been completed successfully – check the registration information in the About SQL Query for Interbase/Firebird dialog (use the Help | About menu item to open this dialog).

hs1500 - Register product

See also:

Registration


EMS SQL Query FAQ

Please read this page attentively if you have questions about SQL Query for Interbase/Firebird.

Table of contents

Product questions

  • What is EMS Query for InterBase/Firebird?
  • What do I need to start working with EMS Query for InterBase/Firebird?
  • What is the difference between the Query Builder module in SQL Manager for InterBase/Firebird and the standalone SQL Query application?
  • Are there any limitations implied in the trial version as compared with the full one?

Troubleshooting

  • I cannot figure out how I can use the Export dataset function. Why I press the Export Data toolbar button, nothing happens.

Question/answer list

Product questions

Q: What is EMS Query for Interbase/Firebird?

A: EMS SQL Query for Interbase/Firebird is a utility that lets you quickly and simply build SQL queries to Interbase/Firebird databases. Visual building as well as direct editing of a query text are available. User-friendly graphical interface allows you to connect to databases, select tables and fields for a query, set the selection criteria and much more. You can work with several queries at once, edit queries and view the execution results in one of the available modes and perform any other operations you may need in your work with database queries.

Q: What do I need to start working with EMS SQL Query?

A: First of all, you must have a possibility to connect to some local or remote Interbase/Firebird server to work withSQL Query. You can download Interbase/Firebird database server from http://www.codegear.com/interbase (the latest commercial version of InterBase server) or Firebird client and server from http://www.firebirdsql.org (download is free). Besides, you need your workstation to satisfy the system requirements of SQL Query for Interbase/Firebird.

Q: What is the difference between the Query Builder module in SQL Manager for Interbase/Firebird and the standalone SQL Query application?

A: First of all, SQL Query for Interbase/Firebird works faster as it is a considerably lighter application. Besides, it provides additional features for query building, namely:

  • "favorite" queries to find and execute often used queries quickly;
  • saving query history which allows you to rollback to any of the previous queries;
  • various interface improvements for easier and more productive work.

Q: Are there any limitations implied in the trial version as compared with the full one?

A: Actually the trial version of the utility does not differ from the full version as far as the functionality is concerned. That is, you can test all the features implemented in SQL Query for Interbase/Firebird within the 30-day trial period.

Scroll to top

Troubleshooting

Q: I cannot figure out how I can use the Export dataset function. Why I press the Export Data toolbar button, nothing happens.

A: Please make sure that you have the latest version of EMS Data Export for Interbase/Firebird installed on your system. Note that the export utility should be registered and run at least once before you use the Exporting results function.

Scroll to top

If you still have any questions, contact us at our Support Center.


Version history

Version | Release date
Version 3.4 | March, 22
Version 3.3 | July 11, 2011
Version 3.2 | October 7, 2008
Version 3.1 | March 25, 2008
Version 3.0 | May 23, 2007
Version 2.2 | April 13, 2006
Version 2.1 | November 16, 2005
Version 2.0 | September 28, 2005
Version 1.8 | April 26, 2005
Version 1.7 | October 25, 2004
Version 1.6 | June 9, 2004
Version 1.5 | April 19, 2004
Version 1.4 | March 2, 2004
Version 1.2 | February 2, 2004
Version 1.0 | April 3, 2003

Full version history is available at http://www.sqlmanager.net/products/ibfb/query/news

Version 3.4

  • Now the Help file is opened in the selected language of the program;
  • SSH connection settings were not saved. Fixed now;
  • After executing the SELECT query, a dataset could not be switched to the "Load all rows" mod. Fixed now;
  • The sequence of such actions as: the execution of the correct query, which cannot be parsed; the transition to the Builder tab; the transition to the SQL Editor tab - caused the query text removal. Fixed now;
  • Some other improvements and bugfixes.

Version 3.3

  • Added the possibility to parse subqueries in the JOIN statement;
  • Query Builder. Added the automatic display of the JOIN statement for tables with foreign keys;
  • Query Builder. Added the possibility to use aggregate functions in the CASE statement;
  • Added the possibility to execute only the selected part of a query in Query Editor;
  • When parsing a query, which contained the name of a table starting with an underscore, AV error occurred. Fixed now;
  • Executing queries with subqueries in the field list caused an error. Fixed now;
  • Now all data is sorted correctly;
  • The program parameters were saved incorrectly. Fixed now;
  • Some other improvements and bugfixes.

Version 3.2

  • Unicode data support is implemented
  • Favourites tab added to ensure fast access to Favorite Queries
  • The utility now requests re-connection when the connection to a database is lost
  • Visual building of FROM statement subqueries is now possible
  • Some other small bugfixes and improvements

Version 3.1

  • Unicode support implemented in SQL Editor
  • The ability to save program settings to a reg file implemented
  • Queries are executed in a separate thread now
  • Now the fields listed at WHERE condition are deleted automatically upon deleting a table on the Builder tab
  • A number of minor bugs fixed and improvements performed

Version 3.0

  • Implemented support for UNICODE-data in the grid
  • SSH tunneling support is improved: implemented Private Key support for SSH authentication
  • Implemented support for hosts
  • Added HTML View and Hexadecimal View for BLOB fields
  • Extended the functionality of ToolTips in DB Explorer: comments for objects and database information are now displayed
  • Comments for fields are now displayed in SQL Assistant
  • Added the Object Search feature in DB Explorer
  • Implemented the opportunity to use a single database registration repository for SQL Query and EMS SQL Manager (if the latter is installed on the machine)
  • Significantly improved graphical user interface
  • Improved Database Explorer: much more convenient toolbar and context menu
  • A number of minor bugs fixed and improvements performed

Scroll to top

Version 2.2

  • GUI improvements: Office 11 and Windows XP visual schemes are now supported
  • Query result output to a separate tab is now available
  • Loading data to the grid for the queries returning a great number of strings in 'Load All Rows' mode now works faster
  • Handling errors concerning connection to the database extended
  • Now plotting graphical diagram based on the queries returning a great number of strings can be canceled
  • Corrected Query Builder: 'Script Format' option works fine now
  • Corrected SQL Editor: the 'Code Case' Quick Code option worked incorrectly. Fixed now
  • The ability to connect through SSH tunnel implemented
  • Now it is possible to specify the client library
  • Other small bug fixes and improvements

Scroll to top

Version 2.1

  • Added 'Column Summary' to the context menu of the grid
  • Added the quick data search feature to the grid
  • Now large diagrams are loaded correctly in Query Builder
  • The 'About' window now reflects all changes after registration is completed
  • When registering a new database host data are taken by default from the current host
  • The Filter properties window is now displayed upon clicking the 'Filter' button
  • In case of wrong SQL operator syntax (SQL statement) the error description is shown in the message window now

Scroll to top

Version 2.0

  • New state-of-the-art graphical user interface
  • Selecting tables and fields for a query visually by drag-and-drop operations
  • Possibility of working simultaneously with several queries in separate windows
  • Registering databases for working with the required databases only
  • Possibility of creating queries with unions and subqueries visually
  • Multiple database connections supported
  • The advanced printing system available
  • The ability to view query plans
  • The ability to create diagrams based on queries
  • The history of recently used queries available
  • Plenty of useful tools such as data grouping and filtering
  • Syntax highlight, "quick code" and keyboard templates for faster editing query text
  • Fully customizable interface including interface language
  • Minor bug-fixes performed

Scroll to top

Version 1.8

  • Increased the speed of refreshing objects in DB Explorer
  • Added the ability to print the text of SQL queries
  • Added automatic activation of Code Completion
  • Implemented the ability to jump to a line number by using the Ctrl+G shortcut
  • Fixed the bug concerned with returning the template for * after entering **
  • Other minor improvements and bug-fixes

Scroll to top

Version 1.7

  • Now the time of a query execution and the number of returned/affected records are displayed
  • It is now possible to export the query results to Windows Clipboard
  • Procedure names and parameters are now highlighted
  • Improved the Grid View: you can now use the Ctrl+C shortcut to copy the cell content to Windows Clipboard
  • The utility now supports Borland® InterBase 7.1
  • Fixed a bug which resulted in an Access Violation error upon opening the query window if the value of the Query Builder | Condition Button Style option was different from the 3D-look

Scroll to top

Version 1.6

  • Implemented the major integration ability between SQL Query and Data Export products: now you can export query results from a Query utility using the corresponding Export utility
  • Now the Print View gets columns width from the Grid View: you can customize columns width with this version of the utility
  • Added the 'Refresh Report' button to the Print View
  • Now the Data Export utilities display descriptions of all query errors when checking query correctness

Scroll to top

Version 1.5

  • It is now possible to open a SQL or a diagram file without opening any windows; you can open a query or a diagram in any of previously opened windows, or in a new window using the Query | Load menu item
  • Now you can reopen all previously opened queries from the drop-down menu of the Database Explorer
  • The program now saves paths to recently saved/loaded files for each database
  • This version of the program rebuilds Print View only if the query results have been changed
  • Implemented an ability to save the query diagram as an image file; two formats are supported: BMP and WMF
  • Some small improvements and bug fixes

Scroll to top

Version 1.4

  • Added the Query History branch to the DB Explorer tree: you can enable or disable this feature using the 'Show History in DB Explorer' option within the DB Explorer tab of the Environment Options dialog
  • Now you can view the query history for all queries or for the current query only: the option is added to the drop-down menu of the history list
  • Now it is possible to filter results using the new data filter
  • Now Query Builder saves the table position when switching to the Edit tab of the window
  • Added a popup hint that displays the SQL text of the query for the Favorite Queries and the Query History branches of the DB Explorer window
  • Now it is possible to set the default page size for the Print View: the option is available within the Report tab of the Environment Options dialog
  • Added the 'Autofit Row Height' option to the Report tab of the Environment Options dialog
  • Fixed a bug concerned with the 'Fetch All' and the 'Load All' options

Scroll to top

Version 1.2

  • Significantly improved the query result grid; added a new record filter
  • BLOB Viewer/Editor for efficient working with BLOB fields
  • Viewing query results as a printable report
  • The ability to select and copy text from the History tab of the query window
  • Correct processing of subqueries like "SELECT Field1 FROM Table1 WHERE Field1 IN (SELECT Field2 FROM Table2 WHERE Field2='Value')" or conditions like "Field1 = (SELECT Field2 FROM Table1 WHERE Field2='Value')"
  • Fixed a bug concerned with parsing logical conditions
  • Fixed a bug concerned with parsing complex conditions

Scroll to top

Version 1.0

Basic features:

  • Graphical user interface
  • Connecting to Interbase/Firebird
  • Building SQL queries visually and editing query text
  • Working with several queries at a time
  • Editing queries and viewing execution results in one of the several available modes

and more...

Scroll to top

See also:

What's new


Other EMS Products

Quick navigation

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL Server

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for SQL Server Perform backup and restore, log shipping and many other regular maintenance tasks on the whole set of SQL Servers in your company.
sqladmin | SQL Administrator for SQL Server Perform administrative tasks in the fastest, easiest and most efficient way. Manage maintenance tasks, monitor their performance schedule, frequency and the last execution result.
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

IBM DB2

 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Scroll to top

Tools & components

advancedexport | Advanced Data Export Advanced Data Export Component Suite for Borland Delphi and C++ Builder will allow you to save your data in the most popular office programs formats.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET is a component suite for Microsoft Visual Studio .NET that will allow you to save your data in the most popular data formats for the future viewing, modification, printing or web publication. You can export data into MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV and more! There will be no need to waste your time on tiresome data conversion - Advanced Data Export will do the task quickly and will give the result in the desired format.
advancedimport | Advanced Data Import Advanced Data Import™ Component Suite for Delphi and C++ Builder will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator for Delphi gives you an opportunity to create PDF documents with your applications written on Delphi or C++ Builder.
querybuilder | Advanced Query Builder Advanced Query Builder is a powerful component suite for Borland Delphi and C++ Builder intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report Advanced Excel Report for Delphi is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer Advanced Localizer™ is an indispensable component suite for Delphi for adding multilingual support to your applications.
 | Scroll to top


Getting Started

SQL Query for Interbase/Firebird gives you an opportunity to contribute to efficient Interbase/Firebird server administration and development by building SQL queries easily and quickly.

The succeeding chapters of this document are intended to inform you about the tools implemented in the utility. Please see the instructions below to learn how to perform various operations in the easiest way.

  • First time started
  • Database navigation
  • Working with queries
  • Using context menus
  • Importing settings
  • Selecting program language

Enjoy your work with SQL Query for Interbase/Firebird!

hs2000 - Getting started

See also:

EMS SQL Query Tools

Personalization


First time started

This is how SQL Query for Interbase/Firebird looks when you start it for the first time.

The main menu allows you to perform various Database operations, Edit your queries effectively, activate/deactivate Database Explorer, SQL Assistant and toolbars for Database operations, Options, Query management tools, etc. within the View menu, manage your SQL queries using items of the Query menu, customize the application using the Options menu, manage SQL Query Windows, access Registration information and product documentation using the corresponding items available within the Help menu.

To start working with your Interbase/Firebird database server you should register one or several databases using Register Database Wizard.

By default the corresponding btnRegisterDB Register Database button is available on the toolbar and within the Database menu.

hs2100 - First time started

When the database connection settings are specified, you can set connection to your database and proceed to Database navigation and working with SQL queries.

See also:

Using context menus

Selecting program language

Importing settings


Database navigation

After you have registered the required database(s) the corresponding node(s) appear in the DB Explorer tree on the left. If the Show Hosts option is checked on the Environment Options | DB Explorer page, the host nodes are also displayed in the tree (alternatively, you can use the Show Hosts item of the Database context menu for the same purpose).

hs2200 - Database navigation

To connect to a database, simply double-click its node (or select the database node in DB Explorer and press Enter). If the connection is successful, the database node expands into a tree of objects. Now you can navigate within the database objects and queries. Use SQL Assistant to get extended information about the currently selected object.

See also:

Working with queries

Using context menus

Selecting program language

Importing settings


Working with queries

Nodes of the DB Explorer tree allow you to access the corresponding objects of the database. Double-click an object (or select its node in DB Explorer and press Enter) to create a query for it. Right-click an object to display the context menu which allows you to perform various operations over the selected object or over the entire database.

hs2000 - Getting started

See also:

Database navigation

Using context menus

Selecting program language

Importing settings


Using context menus

The context menus are aimed at facilitating your work with SQL Query for Interbase/Firebird: you can perform a variety of operations using context menu items.

Select an object in DB Explorer and right-click its node to open the context menu.

Host context menu

Database context menu

Query context menu

See also:

Database navigation

Working with queries

Selecting program language

Importing settings


Host context menu

The context menu of a registered host in the DB Explorer tree allows you to:

  • register a new database using Register Database Wizard;
  • view/edit the selected host info within the Host Registration Information dialog;
  • search for an object within the tree;
  • configure objects representation in Database Explorer.

hs2410 - DB Explorer - Host context menu

See also:

Database context menu

Query context menu


Database context menu

The context menu of a registered database in the DB Explorer tree allows you to:

  • connect to the selected database (if connection to the database is not active yet);
  • disconnect from the selected database (if connection to the database has been already activated);
  • register a new database using Register Database Wizard;
  • unregister the selected database;
  • view/edit the selected database registration information within the Database Registration Info dialog;
  • search for an object within the tree;
  • configure objects representation in Database Explorer;
  • reopen one of recently saved queries from file.

hs2420 - DB Explorer - Database context menu

See also:

Query context menu

Host context menu


Query context menu

The context menu of a query in the DB Explorer tree allows you to perform various common operations:

for queries within the Query History node:

  • activate the selected query, i.e. open it in SQL Editor;
  • view the text of the query;
  • clear history;

hs2430 - DB Explorer - Query context menu

for Favorite Queries:

  • activate the selected query, i.e. open it in SQL Editor;
  • view the text of the query;
  • rename the query;
  • delete the query;
  • delete all the queries within the node.

See also:

Database context menu

Host context menu


Importing settings

When your copy of SQL Query is launched for the first time, the application checks whether SQL Manager for Interbase/Firebird is installed on the machine and prompts you to import SQL Manager database repository into SQL Query for Interbase/Firebird as well.

hs2500 - Database repository

If necessary, you can also import some of SQL Manager settings to your SQL Query for Interbase/Firebird. The Import settings from SQL Manager dialog allows you to specify groups of settings to be applied for your copy of SQL Query.

hs2500 - Import settings

To open this dialog, select the Options | Import settings from SQL Manager... main menu item.

See also:

Database navigation

Working with queries

Using context menus

Selecting program language


Selecting program language

The Select Language dialog allows you to select one of the available interface localizations to be applied for SQL Query for Interbase/Firebird.

hs2600 - Selecting program language

To open this dialog, use the Options | Select Language main menu item.

The window contains the list of available languages according to the directory specified within the Localization section of the Environment Options dialog.

See also:

Database navigation

Working with queries

Using context menus

Importing settings


EMS SQL Query Tools

SQL Query for Interbase/Firebird provides you with a number of GUI tools for efficient working with your Interbase/Firebird databases.

Please see the chapters below to learn how to use SQL Query tools effectively.

Database Explorer

Database management tools

Query management tools

Data management tools

See also:

Getting Started

Personalization


Database Explorer

Database Explorer (or DB Explorer) is the basic window of SQL Query for Interbase/Firebird for navigation within databases and working with queries. The tree-like structure of DB Explorer allows you to manage the databases, database objects and your SQL queries quickly and easily.

hs3100 - Database Explorer

The following list contains the most frequently used features provided by Database Explorer.

Managing database registration info

Connecting to databases

Viewing brief DB info

Viewing query history

SQL Assistant

To view/hide the Database Explorer window, use the View | DB Explorer main menu item or press the F11 key.

See also:

Database management tools

Query management tools

Data management tools


Managing database registration info

After you have registered your database in SQL Query for Interbase/Firebird, you can perform a number of operations with the database using the context menu.

hs2420 - DB Explorer - Database context menu

If you need to view and/or edit the registration information of a database, right-click the database node in DB Explorer and select the Database Registration Info... context menu item to open the Database Registration Info dialog.

See also:

Connecting to databases

Viewing brief DB info

Viewing query history

SQL Assistant


Connecting to databases

When the database registration is complete, you can establish connection to your database.

hs3120 - Connecting to databases

The simplest way to connect to a database is to double-click its node in the Database Explorer tree. The same operation can be performed by selecting the Connect to Database item of the database node context menu, or by using the Database | Connect to Database main menu item.

Alternatively, you can use the Shift+Ctrl+C shortcut to connect to your database.

See also:

Managing database registration info

Viewing brief DB info

Viewing query history

SQL Assistant


Viewing brief DB info

Database Explorer allows you to view brief registration info of your database quickly without using the database context menu.

hs3130 - Viewing brief DB info

If you have several registered databases, and if there is no necessity to open the Database Registration Info dialog, you can select a database alias in DB Explorer and hold the cursor for a while - in this case the ToolTip containing the database registration settings popups after a short delay.

See also:

Managing database registration info

Connecting to databases

Viewing query history

SQL Assistant


Viewing query history

Use the Query History node in Database Explorer to access the list of recently executed queries. This list contains queries within the currently selected database. Each of the registered databases has its own Query History list.

hs3140 - Viewing query history

Double-click a query to open it in SQL Editor.

If you have many queries in the Query History list, and you need to browse them quickly, you can select each query in DB Explorer and hold the cursor for a while - in this case the ToolTip containing the text of the query popups after a short delay.

For your convenience the Favorite Queries list is implemented in SQL Query for Interbase/Firebird. This list is available within the iconFavoriteQueries Favorite Queries node of Database Explorer and allows you to store the most frequently used SQL queries in one location.

To add a query to the Favorite Queries list, use the iconFavoriteQueries Add Query to Favorites toolbar button in SQL Editor or Visual Query Builder.

See also:

Managing database registration info

Connecting to databases

Viewing brief DB info

SQL Assistant


SQL Assistant

SQL Assistant which is located at the bottom of the Database Explorer window helps you to work with your database objects. Depending on the current selection in DB Explorer, the SQL Assistant area displays additional information about the selected object.

hs3150 - SQL Assistant

If you select a host in DB Explorer, SQL Assistant displays the list of the registered databases. The databases you are connected to are displayed in color, whereas all the rest database aliases are grayed out.

If you select a database in DB Explorer, SQL Assistant displays the list of the database object groups and the number of objects in each group.

Selecting an object group in the DB Explorer displays the list of the objects in SQL Assistant.

If you select a table or a view in DB Explorer, SQL Assistant displays the list of the fields, their types and field comments.

If you select a query in DB Explorer, SQL Assistant displays the date and the time when the query was created.

If you select a procedure in DB Explorer, SQL Assistant lists its parameters.

You can also use SQL Assistant to work with your queries quickly. You can drag-and-drop object aliases to the SQL Editor or Visual Query Builder working area, in the same way as this operation is performed in Database Explorer.

See also:

Managing database registration info

Connecting to databases

Viewing brief DB info

Viewing query history


Database management tools

SQL Query for Interbase/Firebird provides a number of tools you may need to manage your Interbase/Firebird databases. Find the list of common database management operations for working in SQL Query below.

Registering Databases

In order to register a single database in SQL Query for Interbase/Firebird:

  • select the Database | Register Database... main menu item or use the corresponding btnRegisterDB toolbar button;
  • check the Register a single database option and set all the necessary options using Register Database Wizard which guides you through the whole process of Database registration.

Unregistering Databases

In order to unregister a single database in SQL Query for Interbase/Firebird:

  • select the database to unregister in the DB Explorer tree;
  • select the Database | Unregister Database main menu item or use the corresponding btnUnregisterDB toolbar button;
  • confirm unregistering in the corresponding dialog window.

Connecting to Databases

In order to connect to a database in SQL Query for Interbase/Firebird:

  • select the database to connect to in the DB Explorer tree;
  • double-click its alias

or

  • select the Database | Connect to Database main menu item or use the corresponding btnConnectToDB toolbar button

or

  • right-click its alias and select the Connect to Database context menu item.

Disconnecting from Databases

In order to disconnect from a database in SQL Query for Interbase/Firebird:

  • select the alias of the database to disconnect from or any of its objects in the DB Explorer tree;
  • select the Database | Disconnect from Database main menu item or use the corresponding btnDisconnectFromDB toolbar button

or

  • right-click its alias or any of its objects and select the Disconnect from Database context menu item.

See also:

Database Explorer

Query management tools

Data management tools


Register Database Wizard

Register Database Wizard allows you to register one or several databases at one host.

To open the wizard, select the Database | Register Database... main menu item, or use the btnRegisterDB Register Database button on the main toolbar. You can also use the Shift+Alt+R shortcut for the same purpose.

  • Setting connection properties
  • Setting registration options

hs3220 - Register Database Wizard

See also:

Database Registration Info dialog


Setting connection properties

Enter the necessary settings to establish connection to Interbase/Firebird server.

hs3221 - Specifying the host

First of all you should specify the database location: RadioButton Database is located on already registered host or RadioButton Database is located on a new host.

Host name

Type in, or use the drop-down list to specify the host name of the Interbase/Firebird server.

hs3221 - Setting connection properties

If the database is located on a new host you need to specify connection settings.

Host name

Type in, or use the drop-down list to specify the host name of the Interbase/Firebird server.

Network Protocol

Use the drop-down list to select the communication protocol to be used for the connection. Possible values are: Local, TCP/IP, Novell SPX, NetBEUI, Embedded.

Afterwards you should specify authorization settings: User name and Password. The default superuser name is 'SYSDBA' and the default password is 'masterkey'.

You can also define the user role in Role field.

You also need to specify the path to the Library in the corresponding field. For successful connection to the server it is crucial to use the appropriate client library - the one that is compatible with the server you are using: gds32.dll for InterBase and fbclient.dll for Firebird. Please note that the client library file must be located on your local machine (e.g. in the directory where the utility is installed).

Use this field to specify a port or service to connect through. By default it is "gds_db" for InterBase and port 3050 for Firebird.

Click the Next button to proceed to the Setting registration options step of the wizard.


Setting registration options

Select the database name from the corresponding drop-down list and specify its alias.

If necessary, select the Font charset.

hs3223 - Setting registration options

CheckBox Login prompt before connection

Check this option if you wish to be prompted for authorization information (User name and Password) each time you connect to the database.

CheckBox Show all system objects

If this option is checked, system objects of the database are displayed in DB Explorer.

CheckBox Autoconnect on startup

Setting this option enables connection to the database automatically when the application is started.

CheckBox Enable log of SQL Editor queries

Use this option to enable/disable SQL queries log.

Log file

This field is enabled if the Enable log of SQL Editor queries option is selected. Here you can specify the path to the *.sql file where SQL queries are logged.

If necessary, you can return to any of the previous steps using the Back button and make the appropriate changes for the currently registered Interbase/Firebird database.

When done, click the Finish button to complete the Database registration process and start working with the newly registered database in SQL Query for Interbase/Firebird.


Database Registration Info dialog

Use the Database Registration Info dialog to view and/or edit the properties of the registered database which have been set on its creation.

hs3250 - Database Registration Info

To open the dialog, select the database in the DB Explorer tree, then right-click its alias and select the Database Registration Info... context menu item, or use the Database | Database Registration Info... main menu item. You can also use the btnDBRegInfo Database Registration Info button on the main toolbar for the same purpose.

Editing connection properties

Setting database options

Setting log options

See also:

Register Database Wizard


Editing connection properties

The Connection section of the Database Registration Info dialog allows you to view and edit the connection properties.

hs3251 - Editing connection properties

Host name

Type in, or use the drop-down list to specify the host name of the Interbase/Firebird server.

Network Protocol

Use the drop-down list to select the communication protocol to be used for the connection. Possible values are: Local, TCP/IP, Novell SPX, NetBEUI, Embedded.

Authorization settings: User name and Password

You can also define the user role in Role field.

You also need to specify the path to the Library in the corresponding field. For successful connection to the server it is crucial to use the appropriate client library - the one that is compatible with the server you are using: gds32.dll for InterBase and fbclient.dll for Firebird. Please note that the client library file must be located on your local machine (e.g. in the directory where the utility is installed).

Specify a Port/Service to connect through..

If necessary, you can also select a different Database name or edit the Database alias - an optional name to display the database in the DB Explorer tree and all SQL Query tools.

This section of the Database Registration Info dialog also allows you to modify the Font Charset for the Interbase/Firebird database.

See also:

Setting database options

Setting log options


Setting database options

The Options section of the Database Registration Info dialog allows you to set various options for the database.

hs3252 - Setting database options

Customize database options according to your needs. The detailed description is given below.

CheckBox Login prompt before connection

Enables SQL Query for Interbase/Firebird to prompt for user name and password each time you connect to the database.

CheckBox Autoconnect at startup

Check this option to specify that SQL Query for Interbase/Firebird automatically establishes connection to the registered database at application startup.

CheckBox Show all system objects

This option determines whether Interbase/Firebird system objects are displayed in the DB Explorer tree.

See also:

Editing connection properties

Setting log options


Setting log options

The Logs section of the Database Registration Info dialog allows you to set SQL Query logging parameters.

hs3253 - Setting log options

SQL Editor

CheckBox Enable log of SQL Editor queries

Check this option if you wish to log your SQL queries in a file.

SQL Editor log file

This field is enabled if the Enable log of SQL Editor queries option is selected. Here you can specify the path to the *.sql file to store the logs of SQL queries.

See also:

Editing connection properties

Setting database options


Host Registration Information

Use the Host Info dialog to view and/or edit the properties of the registered host which have been set on its registration.

hs3270 - Host Registration Information

To open the dialog, select the host in the DB Explorer tree, then right-click its alias and select the Show Host Info... context menu item. You can also use the btnHostInfo Host Info button on the main toolbar for the same purpose.

Editing connection properties

Setting SSH tunnel options

See also:

Register Database Wizard

Database Registration Info dialog


Editing connection properties

The Connection section of the Host Registration Information dialog allows you to view and edit the connection properties in the corresponding boxes: Host name, Network protocol (Local, Novell SPX, Named Pipe, TCP/IP), User name, Password, Role, the path to the Client library and Port/Service.

hs3271 - Editing connection properties

See also:

Setting SSH tunnel options


Setting SSH tunnel options

The SSH Tunneling section of the Host Registration Info dialog allows you to enable/disable SSH tunneling for connection to the databases on the host, and set all the necessary SSH tunneling parameters.

hs3272 - Setting SSH tunnel options

CheckBox Connect through the Secure Shell (SSH) tunnel

Select this option to establish connection to an intermediate SSH server and forward all Interbase/Firebird commands through the secure tunnel.

Specify SSH Host name, SSH port, SSH user name, SSH password, the path to the SSH key file (if necessary) in the corresponding boxes.

See SSH connection properties for details.

Please note that you can only use SSH tunneling if the connection is established via TCP/IP network protocol.

See also:

Editing connection properties


Query management tools

When using SQL Query for Interbase/Firebird, you are provided with two basic tools you may need to manage your SQL queries: SQL Editor for editing SQL query text directly and Visual Query Builder for building queries visually. Find the list of common SQL query management operations below.

Creating new queries

In order to create a new query in SQL Query for Interbase/Firebird:

  • select the Query | New Query main menu item or use the corresponding btnNewQuery toolbar button;
  • specify a name for the new query within the New Query dialog;
  • proceed to the Edit tab and use SQL Editor to edit the SQL query text

or

  • proceed to the Builder tab and use Visual Query Builder to build the SQL query visually.

Editing queries

In order to open a query in SQL Query for Interbase/Firebird:

  • select the query in the DB Explorer tree;
  • right-click the query and select the Activate Query context menu item

or

  • double-click the query in the DB Explorer tree.

In order to load a query from an *.sql file:

  • select the Query | Load... main menu item or use the corresponding btnLoadQuery toolbar button;
  • specify the query file within the Load SQL File dialog.

Executing queries

In order to execute a query in SQL Query for Interbase/Firebird:

  • create a new query or open an existing one;
  • select the Query | Execute main menu item or use the corresponding iconExecuteQuery toolbar button

or

  • use the F9 hot-key to execute the query.

Saving queries

In order to save a query in SQL Query for Interbase/Firebird:

  • create a new query or open an existing one;
  • select the Query | Save... or the Query | Save as... main menu item

or

  • use the Ctrl+S shortcut to save the query

or

  • use the Query | Save all queries main menu item if you need to save all the queries at a time.

See also:

Database Explorer

Database management tools

Data management tools


SQL Editor

SQL Editor is the basic SQL Query for Interbase/Firebird tool for creating and executing queries. The tool allows you to create and edit the SQL text of a query, prepare and execute queries and view the results of execution.

To open SQL Editor, select the Query | New Query main menu item, or use the btnNewQuery New Query button on the main toolbar. You can also use the Ctrl+N shortcut for the same purpose.

hs3310 - SQL Editor

See also:

Visual Query Builder


Working with SQL editor area

The Editor area of SQL Editor is available within the Edit tab and is provided for working with SQL queries in text mode.

hs3311 - Working with the editor area

For your convenience the syntax highlight, code completion and a number of other features are implemented. If necessary, you can enable/disable or customize most of SQL Editor features using the Editor Options dialog.

The example of code completion is illustrated in the picture below. You can set the delay within the Quick code section of the Editor Options dialog or manually activate the completion list by pressing the Ctrl+Space shortcut.

If necessary, you can print the SQL text of your query using the corresponding item of the context menu or the btnPrintSQL Print SQL button on the main toolbar. You can also use the Ctrl+P shortcut for the same purpose.

See also:

Using the context menu

Find Text dialog

Replace Text dialog

Executing queries


Using the context menu

The context menu of SQL Editor area contains most of the standard text-processing functions (Cut, Copy, Paste, Select All) and functions for working with the query as a whole, e.g. you can move the cursor to a particular line, change the case of selected text, view the query properties or print the text of the query. Each of these operations can be also performed with the corresponding hot keys used.

hs3312 - Using the context menu

Implementation of the Find Text and the Replace Text dialogs contributes to more efficient work with the SQL code.

See also:

Working with SQL Editor area

Find Text dialog

Replace Text dialog

Executing queries


Find Text dialog

The Find Text dialog is provided for quick and flexible searching for specified text within the SQL Editor working area.

Text to find

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Options

CheckBox Case Sensitive

This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only

Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular Expressions

Recognizes regular expressions in the search string.

hs3313 - Find Text dialog

Direction

RadioButton Forward

Searches from the current position to the end of the SQL Editor area.

RadioButton Backward

Searches from the current position to the beginning of the SQL Editor area.

Scope

RadioButton Global

Searches within the entire SQL Editor working area, in the direction specified by the Direction setting.

RadioButton Selected text

Searches only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor

The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope

The search covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

See also:

Working with SQL Editor area

Using the context menu

Replace Text dialog

Executing queries


Replace Text dialog

The Replace Text dialog is provided for searching and replacing text within the SQL Editor working area.

Text to find

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Text to replace

This box allows you to enter a string to replace the search string. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered strings. To replace the search string with an empty string, leave this input box blank.

Options

CheckBox Case Sensitive

This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only

Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular Expressions

Recognizes regular expressions in the search string.

CheckBox Replace with template

This option requires the Regular expressions option selection.

Enable this option to use regular expressions in the Text to replace field. Expression used in this field will be applied to each string that matches the Text to find expression.

Note: The syntax of regular expressions that can be used in the Text to find and the Text to replace fields is similar to that used in Perl regular expressions. Comprehensive information about it can be found at http://perldoc.perl.org/perlre.html#Regular-Expressions.

CheckBox Prompt on replace

Check this option if you wish to be prompted before replacing upon each occurrence of the search string. When this option is off, the search string is replaced automatically.

hs3314 - Replace Text dialog

Direction

RadioButton Forward

Searches and replaces from the current position to the end of the SQL Editor area.

RadioButton Backward

Searches and replaces from the current position to the beginning of the SQL Editor area.

Scope

RadioButton Global

Searches and replaces within the entire SQL Editor working area, in the direction specified by the Direction setting.

RadioButton Selected text

Searches and replaces only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor

The search and replace process starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope

The search and replace process covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

Click the Replace All button to replace every occurrence of the search string. If you have checked the Prompt on replace option, the confirmation dialog box appears upon each occurrence of the search string.

See also:

Working with SQL Editor area

Using the context menu

Find Text dialog

Executing queries


Executing queries

When all the query parameters are set, you can immediately execute the query in SQL Editor.

To execute a query, select the Query | Execute main menu item, or use the iconExecuteQuery Execute query button on the main toolbar. You can also use the F9 hot key for the same purpose.

hs3315 - Executing queries

If the SQL syntax is correct, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the Results area containing the returned data appears within the Data tab. The position of the tab depends on the Query results on separate tab option selection (see Environment options | Preferences). If SQL syntax of the query contains any errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the editor window.

By default, data returned by a query are displayed as a grid (see Data View for details).

See also:

Working with SQL Editor area

Using the context menu

Find Text dialog

Replace Text dialog


Visual Query Builder

Visual Query Builder is implemented in SQL Query for Interbase/Firebird for building queries visually. The tool allows you to create and edit queries without deep knowledge of SQL. You can also prepare and execute queries, and view the results of their execution.

To open Visual Query Builder, select the Query | New Query main menu item, or use the btnNewQuery New Query button on the main toolbar (you can also use the Ctrl+N shortcut for the same purpose), and proceed to the Builder tab of the editor window.

See also:

SQL Editor


Working with Query Builder area

The main working area of Visual Query Builder is the Builder area. Here you can create a query by placing the database tables and views onto the area, and edit it by selecting the required data fields and setting links between objects.

To add an object to the query, you can simply drag it from the DB Explorer tree to the Builder area.

To include a field in the query, check the corresponding box located to the left from the field name in the list, or just double-click it. To include all fields of the table/view, check the box located to the left of the table/view caption. If you do not check any fields, the SQL statement is generated as SELECT * FROM <table/view_name>, i.e. all the fields are included in the query.

To exclude a field from the query, uncheck the respective box. In order to remove the entire table/view from the query, close it by clicking the corresponding cross-button at the object caption, or select the object and press the Del key.

To edit the alias of a table/view, double-click the object caption and enter the new name.

hs3321 - Working with Query Builder area

Note: Depending on which query type you need to execute, you can select one from the drop-down list at the left: Select, Insert, Update, or Delete.

Visual Query Builder - Selecting query type

To create a Union or a Subquery use the Builder context menu.

Visual Query Builder - union

Creation of a Union is reflected in UNION statement in the query text or UNION ALL statement if the Union all by default option is enabled. Union is used to combine several queries.

Create Subquery to use it as a source for the main query.

See also:

Joining tables

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution


Joining tables

The Builder area allows you to associate two objects by their fields: this operation is performed by dragging a field from one object list to another. This will set a link between these objects by the selected fields. It is indicated by a bidirectional arrow between the linked fields.

You can view the link properties of objects association: set the mouse cursor over the linking arrow, and a hint containing the association condition will popup after a short delay.

hs3322 - Joining tables

To edit the link properties, double-click the linking arrow or right-click it and select the Property popup menu item. The Link properties dialog allows you to change the association condition by choosing it from the drop-down list (=, >, <, >=, <=, <>).

hs3322 - Link properties

For your convenience the CheckBox Include all option is available for each object of the association.

If left Include all option is checked the LEFT OUTER JOIN statement will be added to the query.

If right Include all option is checked the RIGHT OUTER JOIN statement will be added to the query.

If both Include all options are checked the FUll OUTER JOIN statement will be added to the query.

If none of the include options is selected then the INNER JOIN statement will be added to the query.

Click OK to apply the changes you have made.

To remove a link between objects, right-click the linking arrow and select the Delete link popup menu item.

To add a point to the link line, right-click the linking arrow and select the Insert point popup menu item. Using the point you can move the link line easily. The point does not cause any changes to the query, it is only used for the diagram representation and makes visual building handy and more comprehensible.

See also:

Working with Query Builder area

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution


Setting criteria

Use the Criteria tab to set the selection conditions.

To add a condition, click the ellipsis EllipsisButton button on the left, and select the Add condition popup menu item.

Edit the condition by clicking the elements of the condition pattern and setting the necessary values. Clicking the numbered button to the left of the condition string activates the popup menu which allows you to add a new condition of the same enclosure level, add a new enclosure level, delete the current condition, expand or collapse enclosure levels of the condition (if the condition is composite).

A simple condition pattern contains three elements: an argument, a condition operator and a second argument (if required for the condition).

Clicking each element field allows you to set its value. When clicking the argument field, you can edit the argument as a text string: set an object name or a certain value in this field. Right-clicking the field in the edit mode activates the popup menu with the Insert field function (also called by Shift+Enter shortcut). This function allows you to select a field from the list of all the table fields.

Clicking the condition operator field activates the popup menu where you can specify the condition you need.

hs3323 - Setting criteria

The way the conditions are used is set in the upper string of the area (All, Any, None or Not all of the following are met). Click the green link to change it.

See also:

Working with Query Builder area

Joining tables

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution


Setting output fields

The Selection tab displays the output fields of the query as a grid.

hs3324 - Setting output fields

CheckBox Select only unique records

If you check this option, the duplicate records (if any) are not included into the query result (i.e. the DISTINCT keyword is added to the SQL query text).

To reorder fields in the list, use the [image] [image] buttons.

The grid allows you to edit the names of the query output fields, specify their displaying order and set the aggregate functions (SUM, MIN, MAX, AVG, and COUNT) for each field. To remove a field from the list, right-click the field row and select the Delete selected rows popup menu item.

Visual Query Builder - Selection field menu

To change the input query field, double click it and then type the field name on the keyboard or choose it from the drop-down list.

To change the output query field name, set the cursor at the corresponding column and type the required field name.

To set an aggregate function for a field, click the field row within the Aggregate column, and then type in the function name or select one from the drop-down list.

The Grouping column displays the grouping state for each of the output fields.

The popup menu also allows you to insert a nested query and add a CASE clause. To edit the CASE clause, use the CASE END AS dialog.

Query Builder - Setting output fields - CASE

Name

Use the drop-down list to define field to which the condition will be applied..

Alias

Name of the column that stores result values.

Use WHEN and THEN fields to define actual column values and their substitutions respectively. Empty WHEN clause states for all non-specified actual values. Such values will be substituted by the corresponding value specified in the THEN list.

See also:

Working with Query Builder area

Joining tables

Setting criteria

Setting grouping criteria

Setting sorting parameters

Working with the editor area

Query execution


Setting grouping criteria

The Grouping criteria tab allows you to set the conditions for grouping query records.

The grouping condition pattern fields are set in the same way as those of the Criteria pattern.

hs3325 - Setting grouping criteria

These conditions will be included in the HAVING statement of the generated SQL query.

See also:

Working with Query Builder area

Joining tables

Setting criteria

Setting output fields

Setting sorting parameters

Working with the editor area

Query execution


Setting sorting parameters

The Sorting tab allows you to set the sorting parameters for the records returned by the query.

hs3326 - Setting sorting parameters

The working area contains the Output fields list (at the left) which represents all the output query fields, and the Sorted fields list (at the right) which contains the fields to sort records by.

To move a field from one list to another, drag the selected field or use the Add and Remove buttons.

To change the sorting order for a sorted field, select the field in the Sorted fields list and move it using the Up and Down buttons.

To change the sorting direction, select the field in the Sorted fields list and switch the direction (Ascending, Descending) using the corresponding A..Z/Z..A button.

See also:

Working with Query Builder area

Joining tables

Setting criteria

Setting output fields

Setting grouping criteria

Working with the editor area

Query execution


Working with the editor area

The Editor area of Visual Query Builder is available within the Edit tab and is provided for working directly with the SQL query text which is generated automatically while you build the query visually.

hs3327 - Working with the editor area

You can edit this text according to the rules of SQL, and all the changes will be displayed within the Builder tab respectively.

To learn more about the SQL Editor features available within the Edit tab, see Working with SQL Editor area.

See also:

Working with Query Builder area

Joining tables

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Query execution


Query execution

When all the query parameters are set, you can execute the query in Visual Query Builder.

To execute a query, select the Query | Execute main menu item, or use the iconExecuteQuery Execute query button on the main toolbar. You can also use the F9 hot key for the same purpose.

The query execution may be interrupted by pressing the Cancel button.

If the query parameters are specified correctly, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the Results area containing the returned data appears within the Data tab. The position of the tab depends on the Query results on separate tab option selection (see Environment options | Preferences). If any of the query parameters contain errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the Builder window.

By default, data returned by a query are displayed as a grid (see Data View for details).

hs3328 - Query execution

See also:

Working with Query Builder area

Joining tables

Setting criteria

Setting output fields

Setting grouping criteria

Setting sorting parameters

Working with the editor area


Query History

Use the History tab to access the list of recently executed queries.

hs3330 - Query History

The working area contains the grid where query names and the execution dates are listed, and the corresponding SQL text for each of the selected queries.

The context menu of the grid allows you to perform various operations over the currently selected query: activate, rename or delete the selected query, add the query to the Favorite Queries list, clear the history list or choose to display history for the current query only.

See also:

SQL Editor

Visual Query Builder

Query Plan


Query Plan

Using SQL Query for Interbase/Firebird, you can view the plan for each of the queries created and executed in the application. The query plan is available within the corresponding Plan tab.

To view the Plan of a query, open the query in SQL Editor or Visual Query Builder and use the btnExplainQuery Explain Query button on the main toolbar, proceed to the Results tab, and then to the Plan tab there.

hs3340 - Query Plan

If you wish to make the Query Plan tab enabled by default for each executed query, select the Queries with explain plan option within the Preferences section of the Environment options dialog.

See also:

SQL Editor

Visual Query Builder

Query History


Favorite Queries

At this tab you can find the list of favorite queries.

Visual Query Builder - Favorites

Select a query to preview it at the right part of the window. You can also manage the list of queries using the context menu: to open a query for editing - Activate query, to Rename Query, to Delete Query from Favorites and to Clear Favorites.

See also:

SQL Editor

Visual Query Builder

Query Plan


Data management tools

SQL Query for Interbase/Firebird provides a number of tools you may need to manage data returned by your SQL queries.

The following list contains the most frequently used features implemented in SQL Query for efficient data management.

Data View

Custom Filter

Filter Builder dialog

See also:

Database Explorer

Database management tools

Query management tools


Data View

SQL Query for Interbase/Firebird provides you with powerful tools for viewing, editing and printing data from tables and queries.

Upon a query execution the Results area containing the returned data appears within the Data tab. The position of the tab depends on the Query results on separate tab option selection (see Environment options | Preferences).

The data can be displayed in one of four available modes: Grid View, Form View, Blob View and Diagram View. The status bar at the bottom displays the number of records in the current dataset, the time the records were fetched by the application and the status of the records (whether the data are read-only or editable).

Please see the succeeding chapters to learn how to work with your data in the simplest and most efficient way.

Grid View

Form View

BLOB View

Diagram View

See also:

Custom Filter

Filter Builder dialog


Grid View

By default, data returned by a query are displayed as a grid. It is indicated by the Grid View tab selected on the View mode panel at the bottom of the Results area of the window.

When in the Grid View mode, the columns correspond to the fields and the rows correspond to the records. Clicking the column caption sorts data by the values of this column in the ascending or the descending mode. The navigation pane at the top of the grid allows you to browse the data quickly, to insert, update and delete records, add bookmarks, and to set a filter for the records using the Filter Builder dialog. Within the Find field you can quickly set filter for the selected column.

hs3420 - Grid View

The context menu of the grid provides additional functions, namely those used to show/hide the Group Box for easier work with the grid, to print data or to view/edit the column summary.

See also:

Form View

BLOB View

Diagram View


Grouping data

If necessary, you can group the data in grid by any of the columns.

hs3421 - Grouping data

This operation is performed by dragging the column header to the Group Box area at the top. In order to display this area, you can right-click the grid and select the Show Group Box item of the context menu.

When grouping by a column is applied to the grid, all the records are displayed as subnodes to the grouping row value as displayed in the screenshot below. To reverse grouping, just drag the column header back.

See also:

Filtering records

Printing data

Exporting results

Using the context menu


Filtering records

A number of filtering facilities is implemented in the grid for your convenience. You can filter records in the grid in either of the following ways:

  • click the arrow-down button next to the column caption to display the drop-down list and select any of the column values to filter records by this value of the selected column

or

  • click the arrow-down button next to the column caption to display the drop-down list, then select the Custom item and build a simple filter using the Custom Filter dialog

or

  • use the btnSetFilter Set filter button on the navigation pane to invoke the Filter Builder dialog and create a composite filter using the dialog.

hs3422 - Filtering records

After the filter is set, the gray filtering panel becomes visible at the bottom of the grid. This panel allows you to see the active filtering condition and easily enable or disable it using the checkbox on the left. If necessary, you can click the Customize... button on the right to customize your filter and add more complicated filtering conditions within the Filter Builder dialog.

See also:

Grouping data

Printing data

Exporting results

Using the context menu


Printing data

Using the Print Grid item of the context menu you can activate the Print Preview mode which allows you to see the data grid in the way it will be printed, i.e. in the WYSIWYG mode.

hs3423 - Printing data

When in Print Preview mode, you are provided with a powerful toolbar allowing you to design a report, change the view scope, save reports and load previously saved ones, and set a number of page printing parameters.

hs3423 - Print Preview

See also:

Grouping data

Filtering records

Exporting results

Using the context menu


Exporting results

Exporting the result dataset (e.g. when it is necessary to move the result of a query execution to a data medium) is implemented in SQL Query for Interbase/Firebird as the following facilities:

  • exporting the dataset to a file of one of the supported formats (MS Excel, MS Access, RTF, HTML, PDF, TXT, CSV, etc.) can be performed with Data Export for Interbase/Firebird used (if the latter is installed on your system): use the btnDataExport Export Data toolbar button to start the export utility and follow the steps of the wizard to complete the exporting process;
  • copying the dataset to Windows clipboard (e.g. when you need to paste it afterwards to a third-party editor): use the btnExportToClipboard Export Data to Clipboard toolbar button for this purpose.

Note: To perform export to a *.accdb file Microsoft Access Database Engine 2010 Redistributable is required.

See also:

Grouping data

Filtering records

Printing data

Using the context menu


Using the context menu

The context menu of the grid is aimed at facilitating your work with data: you can perform a variety of operations using the context menu items.

Right-click the grid to open the context menu, and select the Show Group Box item if you wish to group the grid data, or the Print Grid item to activate the Print Preview mode.

hs3425 - Context menu .

If necessary, you can select the Column Summary... context menu item to open the Column Summary dialog which allows you to view and edit the summary for each particular column.

hs3425 - Column Summary

See also:

Grouping data

Filtering records

Printing data

Exporting results


Form View

The Form View tab allows you to view data as a form. To activate this type of data view, select the Form View tab on the View mode panel at the bottom of the Results area of the window.

The form displays the current record: field names on the left and the corresponding values on the right. If the fields are available for editing, you can edit the record directly on this form. The navigation pane at the top of the form allows you to browse the data quickly, to insert, update and delete records, and to set a filter for the records using the Filter Builder dialog.

hs3430 - Form View

Each field has a CheckBox Null checkbox which allows you to clear the field value and set it to NULL (if the field is nullable).

See also:

Grid View

BLOB View

Diagram View


BLOB View

The BLOB View tab allows you to view BLOB fields content. To activate this type of data view, select the BLOB View tab on the View mode panel at the bottom of the Results area of the window.

Using the BLOB Viewer/Editor you can select any of the available ways of BLOB data representation:

  • Viewing as Hexadecimal
  • Viewing as Text
  • Viewing as Rich text
  • Viewing as Image
  • Viewing as HTML

hs3445 - Viewing as Image

The BLOB Viewer/Editor provides an ability to navigate within the records using DB Navigation buttons on the navigation pane at the top of the viewer window.

Using items of the navigation pane and the context menu you can to browse the data quickly, to insert, update and delete records, set a filter for the records using the Filter Builder dialog, load new BLOB content and save the current content to files.

See also:

Grid View

Form View

Diagram View


Viewing as Hexadecimal

The Hexadecimal tab allows you to view/edit the BLOB data as hexadecimal.

hs3442 - Viewing as Hexadecimal

The context menu of the working area provides additional functionality for BLOB Viewer/Editor: use the Save to File... and the Load from File... context menu items to save the hexadecimal data to a file, or load data from a file.

See also:

Viewing as Text

Viewing as Rich text

Viewing as Image

Viewing as HTML


Viewing as Text

The Text tab allows you to view/edit the BLOB data as simple text.

hs3443 - Viewing as Text

The context menu of the working area provides additional functionality for BLOB Viewer/Editor: use the Save as... and the Load... context menu items to save the text to a *.txt file, or load text from a file, the Cut, Copy, Paste, Select All, Undo, Word Wrap context menu items for editing the text efficiently, and the Find.../Replace... context menu items to use the Find Text and the Replace Text dialogs for working with the text content.

See also:

Viewing as Hexadecimal

Viewing as Rich text

Viewing as Image

Viewing as HTML


Viewing as Rich text

The Rich Text tab allows you to view/edit the BLOB data in Rich Text format (RTF).

hs3444 - Viewing as Rich text

The context menu of the working area provides additional functionality for BLOB Viewer/Editor: use the Save as... and the Load... context menu items to save the Rich Text to a *.rtf file, or load text from a file, the Cut, Copy, Paste, Select All, Undo context menu items for editing the text efficiently, or the Print context menu item to print the content of the Rich Text tab.

See also:

Viewing as Hexadecimal

Viewing as Text

Viewing as Image

Viewing as HTML


Viewing as Image

The Image tab allows you to view the BLOB data as image.

hs3445 - Viewing as Image

The context menu of the working area provides additional functionality for BLOB Viewer/Editor: use the Save as... and the Load... context menu items to save the image to a *.jpg or a *.jpeg file, or load an image from a file.

See also:

Viewing as Hexadecimal

Viewing as Text

Viewing as Rich text

Viewing as HTML


Viewing as HTML

The HTML tab allows you to view the BLOB data as HTML - in the way this data would be displayed by your Internet browser.

hs3446 - Viewing as HTML

See also:

Viewing as Hexadecimal

Viewing as Text

Viewing as Rich text

Viewing as Image


Diagram View

The Diagram View tab allows you to represent data as diagrams of various types. To activate this type of data view, select the Diagram View tab on the View mode panel at the bottom of the Results area of the window.

You can build a diagram represented as bars, lines, areas, points or pies, colored or not, with axis visible or not; specify axis labels source, the diagram header and more. Use the tools of Diagram View to manage your diagram:

  • Selecting fields
  • Setting diagram properties
  • Editing Chart dialog
  • Exporting diagram as image

See also:

Grid View

Form View

BLOB View


Selecting fields

In order to build a diagram in Diagram View, first of all you should select the source field(s) to be represented in the diagram.

hs3451 - Diagram View

Note that only fields of numeric types can be used in a diagram, and each selected field is represented by a separate diagram series. Use the Diagram Control panel on the left to select the fields for your diagram. If the Field Name combo-box is empty then either the data source is not yet selected or it contains no numeric fields.

See also:

Setting diagram properties

Editing Chart dialog

Exporting diagram as image


Setting diagram properties

When in the Diagram View mode, you are provided with facilities of customizing the diagram which are available within the Diagram Control panel located to the left of the graph itself.

Diagram Title

Use this box to enter the title of the diagram being created.

Field Name

Type in or use the drop-down list to select the name of the field to be represented in the diagram.

Label Source

Type in or use the drop-down list to select the name of the field to take X-axis labels and diagram point marks from.

Diagram Type

Define the way of the diagram representation (as Bar, Line, Area, Point, Pie or FastLine).

hs3452 - Setting diagram properties

CheckBox Color each point

If checked, each bar, point, line or sector of the diagram has an individual color; if not checked, all the points are colored red.

CheckBox Show marks

This option defines whether the diagram point marks are visible or not.

CheckBox Show axis

This option determines the visibility of the axis and the background grid.

CheckBox Show legend

This property is used to specify whether the legend rectangle should be displayed on the right side of the diagram or not.

CheckBox Monochrome

Set this option to convert the colors of the diagram into the gray scale (e.g. for BW-printing).

CheckBox View 3D

If this option is used, the diagram is represented as 3-Dimensional.

CheckBox View 3D walls

If this option is used, the diagram walls are represented as 3-Dimensional.

See also:

Selecting fields

Editing Chart dialog

Exporting diagram as image


Editing Chart dialog

If necessary, you can set a number of advanced properties of your diagram using the Editing Chart dialog.

To open this dialog, double-click the graph in Diagram View.

Please, look through the brief description of the Editing Chart dialog tabs listed below:

  • Chart
  • Series
  • Data
  • Export
  • Print

See also:

Selecting fields

Setting diagram properties

Exporting diagram as image


Chart

This tab of the dialog allows you to manage series and diagram appearance.

Editing Chart - Chart

  • Series
  • General
  • Axis
  • Titles
  • Legend
  • Panel
  • Paging
  • Walls
  • 3D


Series

This tab provides you with ability to add series to diagram, to delete or edit series.

Editing Chart - Chart - Series

Press the Add button to open the TeeChart Gallery, which allows you to choose suitable series type. You can also open this dialog for the selected series by pressing the Change button.

Editing Chart - Chart - Series - TeeChart Gallery

You can change diagram style within the drop-down list at the bottom of this dialog, make it 3D or Smooth.

Press the Delete button to delete the selected series.

To rename the selected series press the Title button and type in the needed name.

The Clone button adds a copy of the selected series.

Double-click a series to manage its data source and visual settings within the Series tab of the Editing Chart dialog.


General

Use this tab to define the zoom, scroll, cursor and font options.

Zoom section allows you to enable/disable zoom feature for the diagram preview, define whether zoom should be animated etc.

Editing Chart - Chart - General

You can set zoom direction to horizontal or vertical if needed (both is default).

Choose the mouse button which should cause zooming.

Note: To zoom the diagram you should separate the rectangle area of the diagram with the specified mouse button pressed and release the button when done.

With the default settings it is impossible to know the exact borders of the area you have selected for zooming. Press the Pen... button and enable the Visible option to make zooming area borders visible (you can also define border style, color and size), or press the Pattern... button and define style and color for the pattern that will substitute the area selected for zooming.

Use the Scroll section to enable diagram scrolling in horizontal, vertical or both directions, or to disable scrolling at all (default).

Within the Cursor section you can change the cursor type, or load one from the external *.cur or *.ani file.

The Fonts section allows you to change font, color, border, shadow and other settings for the selected diagram element.


Axis

This tab allows you to customize axis settings.

Editing Chart - Chart - Axis

Scales section allows you to manage minimum, maximum and increment values of the selected axis, its visibility and other options.

Title tab allows you to name the selected axis and to define the font and color settings.

Labels tab contain a number of options to customize labels. You can select the suitable style, value format and customize text settings.

Within Ticks and Grid tabs allow you to define the corresponded line's and ticks' style, size and color.

Use the Position tab to manage the axes position.


Titles

Within this tab you can select the needed title text, style, pattern and color, border, shadow, gradient and background picture.

Editing Chart - Chart - Titles

Use the drop-down list to change the title type: Title, SubTitle, SubFoot, Foot.


Legend

Legend tab can be used to customize diagram's legend. You can define its style, position, title, symbols, pattern and background color, border, text font, size, color, and many other options.

Editing Chart - Chart - Legend


Panel

Use this tab to manage the diagram main panel. You can customize its color, borders, margins, gradient, shadow and background image.

Editing Chart - Chart - Panel


Paging

Within this tab you can split diagram into pages and navigate between them.

Use the Current Page Legend option to define whether to show legend for current page or for whole chart.

Editing Chart - Chart - Paging

If the Scale Last Page option is disabled then the scale will be expanded proportionally to the number of pages created, otherwise the scale maximum will be equal to the chart maximum.


Walls

The Walls tab allows you to manage chart walls visibility, size and appearance.

Editing Chart - Chart - Walls

Select the needed wall tab and define its properties.


3D

Within this tab you can customize 3D view of the diagram.

You can select one of the template views represented at the Views tab

Editing Chart - Chart - 3D - Views

and/or customize the diagram 3D view manually.

Editing Chart - Chart - 3D

CheckBox 3 Dimensions

This option indicates whether 3D view is applied to diagram. You can also set the 3D ratio within the 3D % field.

CheckBox Orthogonal

Use this option to use orthogonal view and rotation. Note that basic rotation will not be possible in this case.

CheckBox Clip Points

Enable this option to restrict chart height with the scale grid borders.

CheckBox Zoom Text

Use this option to manage text size relatively to diagram.

There are a number of sliders on the right, that may help you to adjust your diagram view.


Series

The Series tab will help you to manage the created series.

Editing Chart - Series

Format

This section allows you to customize basic format options and is unique for each diagram type.

General

Use this section to define general options, value formats and axes settings.

Marks

Within this section you can change marks' style and format, arrows visibility and appearance, symbol options, margins size and position, borders type and size, text options and other.

Data Source

This tab allows you to select data source for the selected series.

Editing Chart - Series - Data Source

Drop-down list contains various types of sources:

  • Manual - the values should be typed in manually;
  • Random - use random values;
  • Series - use the existing series as data source;
  • Function - use function as data source;
  • Single record - take a single record values as data source;
  • Summary - use column summary;
  • Dataset - assign dataset to the selected series.


Data

At this tab you can view and edit current series data. Double-click a cell to activate edit mode.

Editing Chart - Data


Export

This tab allows you to export diagram as picture, as xml, binary or text. Series data export is also possible within the Data section.

Editing Chart - Export

Choose the export type first: as picture, native formats or data. Then select the result file format, define the needed options and press the Copy button to export to clipboard, Save... to save as a file or Send... to e-mail the exported file.


Print

Use this tab to print the diagram.

Editing Chart - Print

Specify page orientation, margins, text size and common printing options. When all is done, press the Print button.


Exporting diagram as image

Additionally to its main functionality, the Diagram View mode provides you with an ability to export the current diagram to a file as a graphical image, with a lot of formats supported. This feature is implemented as the Export Diagram Wizard.

To launch the wizard, click the Export Diagram button on the Diagram Control panel, and follow the instructions of the wizard.

  • Setting file name and format
  • Export Diagram options

See also:

Selecting fields

Setting diagram properties

Editing Chart dialog


Setting file name and format

This step of the wizard allows you to select the output file format to save the diagram to.

Use the Destination format radio group to select the desired graphical file format, and specify the output file name in the Destination file name box.

hs3455 - Setting file name and format

Click the Next button to proceed to the Export Diagram options step of the wizard.


Export Diagram options

Use this step of the wizard to set the output image width and height in the corresponding spin edits.

CheckBox Keep aspect ratio

This option determines whether the aspect ratio should be kept for the exported image or not.

CheckBox Open exported diagram in associated program

Check this option to view the image after the export is completed; the image will be opened with the application which is associated with this file type on your system.

hs3456 - Export Diagram options

If necessary, you can return to the previous step using the Back button and make the appropriate changes for the diagram being currently exported.

Click the Finish button to complete the diagram exporting process.


Custom Filter

The Custom Filter dialog is one of the filtering facilities implemented in Data View for your convenience.

To open the dialog, click the Arrow-Down button next to the column caption, and select the Custom item from the drop-down list.

Select a logical operator for checking the column values (like, is less than, is greater than, etc.) and set a value to be checked by this operator in the corresponding box on the right.

hs3460 - Custom Filter

If necessary, you can set the second condition and specify the relation between the two conditions: whether both of them should be satisfied (AND) or just any of them (OR). Use the '_' character to represent any single symbol, and use the '%' character to represent any series of symbols in the condition string.

See also:

Data View

Filter Builder dialog


Filter Builder dialog

The Filter Builder dialog is a powerful filtering tool implemented in Data View for your convenience.

The dialog is aimed at facilitating the procedure of creating and applying complex filter criteria for data. In addition, the tool allows you to save filter criteria to an external *.flt file for future use.

To open the Filter Builder dialog, use the Set filter btnSetFilter button on the navigation pane.

  • Invoking the Filter Builder dialog
  • Adding a new condition
  • Setting filter criteria
  • Setting filter operator
  • Setting filter criteria values
  • Adding a new group
  • Setting group operator
  • Applying filter conditions

See also:

Data View

Custom Filter


Invoking the Filter Builder dialog

The Filter Builder dialog can be invoked in either of the following ways:

  • if a simple filter or the Custom Filter is being used, click the Customize... button on the gray filtering panel;
  • use the btnSetFilter Set filter button on the navigation pane and create a composite filter using the dialog.

The succeeding pages of this chapter are intended to illustrate usage of the Filter Builder dialog. Please see the instructions below to learn how to perform various operations in the easiest way.

See also:

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Adding a new condition

Suppose we need to select data from the sample table Employee to view the list of male engineers belonging to the Engineering and Tool Design departments that were hired after 10/1/2007. These criteria are applied to the Gender, HireDate, Position and the DepID fields.

Filter Builder dialog - Adding a new condition

Click press the button to add a new condition - this will add a new condition to the criteria. Alternatively, you can click the Filter button and select the Add Condition popup menu item.

See also:

Invoking the Filter Builder dialog

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria

As we need to apply the filter criteria to the HireDate field, we click the column box (next to the ellipsis EllipsisButton button) to open the drop-down list displaying the available column names and select the HireDate item.

Filter Builder dialog - Setting filter criteria

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter operator

Since we need the list of employees hired after 10/1/2007, we need to select the IS GREATER THAN operator from the corresponding drop-down list.

Filter Builder dialog - Setting filter operator

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria values

Next, we need to specify value '10/1/2007' for the IS GREATER THAN operator.

Similarly, if, for example, we need to get the list of employees hired during the 9/1/2007 - 10/1/2007 term, we set the BETWEEN filter operator (this will add two empty value boxes to specify the inclusive range for the BETWEEN condition) and specify the range for the operator, i.e. the '9/1/2007' and the '10/1/2007' values in the corresponding value boxes.

It is possible to set the date value manually by typing it in, or via the date editor which is activated when you click the value box.

Filter Builder dialog - Setting filter criteria values

Editors used in value boxes are determined by the data type assigned to the corresponding columns.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Adding a new group

Setting group operator

Applying filter conditions


Adding a new group

Since we also need to get the list of male specialists-engineers (i.e. those registered in the Engineering and Tool Design departments and having an engineering-oriented position), we can add a complex filter condition combining simple conditions with the AND operator. (However, in this particular case we can just add them on the same root level as for the existing condition).

Filter Builder dialog - Adding a new group

If you need to add a group of conditions, click the ellipsis EllipsisButton button for the HIRE_DATE condition and select the Add Group popup menu item.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Setting group operator

Applying filter conditions


Setting group operator

Conditions of complex criteria can be combined with any of the four logical operators used: AND, OR, NOT AND, NOT OR.

Filter Builder dialog - Setting group operator

In our case it is enough to click the group operator box and select the AND item from the drop-down menu.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Applying filter conditions


Applying filter conditions

Suppose we have created a condition within the new group. If we need, we can add more conditions at the same level and specify the required values using the value boxes. When the operation is completed, the Filter Builder dialog will look like in the screenshot below.

Click the Apply button to see the result of the filtering you have made, and click OK or Cancel to close the dialog with or without saving your filter conditions respectively.

Filter Builder dialog - Applying filter conditions

The Filter Builder dialog allows you to save filter criteria to and load them from external files. Clicking the Save As… or the Open… buttons activates the corresponding dialogs. Filter settings are stored in *.flt files.

Please be informed that a column in the file is referenced by its position within a view, hence filter settings cannot be correctly restored if columns have been deleted from the view after saving the filter to a file.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator


Personalization

SQL Query for Interbase/Firebird provides you with capabilities for flexible personalization of the application.

Please see the chapters below to learn how to use tools effectively.

Environment options

Editor options

Visual options

Save Settings

Keyboard templates

Localization


Options

The following list contains the three basic groups of options available in SQL Query for Interbase/Firebird.

  • Environment options
  • Editor options
  • Visual options
  • Save Settings

See also:

Keyboard templates

Localization


Environment options

Environment Options allow you to customize general options of the SQL Query application.

To open the Environment Options window, select the Options | Environment Options... main menu item, or use the btnEnvironmentOptions Environment Options button on the main toolbar.

Preferences

Default Sheet

Confirmations

DB Explorer

Query Builder

Color Palette

Fonts

Grid

Report

Localization

See also:

Editor options

Visual options


Preferences

General

CheckBox Save desktop on disconnect

This option determines whether the previously opened windows and their positions should be restored upon connection to the database.

CheckBox Use transactions

If this option is checked, all queries are executed in transactions, otherwise each query is executed separately with autocommit.

CheckBox Disable multiple instances

This option prevents users from running multiple instances of SQL Query for Interbase/Firebird on one system simultaneously.

hs4111 - Environment Options - Preferences

CheckBox Allow query parameters

This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before an identifier (e.g. :P1) to specify a parameter within the query.

CheckBox Show splash screen at startup

Displays the splash screen of SQL Query for Interbase/Firebird at the application startup.

CheckBox Autoconnect databases at startup

If this option is selected, connection to the registered databases is established automatically at startup.

CheckBox Queries with explain plan

If this option is checked, the Query Plan tab is displayed automatically within the Results tab upon a query execution.

CheckBox Query results on separate tab

If this option is checked, the Results tab is displayed as a separate tab.

CheckBox Encrypted passwords

Encrypts passwords for connecting to databases stored in Windows Registry.

History

CheckBox Use history

Check this option to save the history of all edited queries and set the number of queries to be saved in the History depth box.

CheckBox Show history for current query only

Check this option to display the whole query history, or uncheck it to display the history for the current query only.

See also:

Confirmations

DB Explorer

Query Builder

Fonts

Grid

Report

Localization


Default Sheet

Define what Query Builder tab should be active when creating/opening queries: Edit, Query Builder, History, Favorites.

Environment Options - Preferences - Default Sheet

See also:

Preferences


Confirmations

CheckBox Confirm exit from SQL Query for Interbase/Firebird

If this option is set, you are prompted for confirmation each time when you exit the application.

CheckBox Confirm commit transaction

If this option is checked, the application requires confirmation each time you commit a transaction.

hs4112 - Environment Options - Confirmations

CheckBox Confirm rollback transaction

If this option is on, you are prompted to confirm transaction rollback.

CheckBox Confirm delete records

If this option is selected, the program prompts you for confirmation of deleting records.

See also:

Preferences

DB Explorer

Query Builder

Fonts

Grid

Report

Localization


DB Explorer

DB Explorer

CheckBox Show hosts in DB Explorer

This option shows/hides database hosts in the DB Explorer tree.

CheckBox Show history in DB Explorer

This option shows/hides the query history node in the DB Explorer tree.

CheckBox Show hints

This option allows you to view the text of SQL queries in the DB Explorer tree as hints.

hs4113 - Environment Options - DB Explorer

CheckBox Show fields comments in the SQL Assistant

This option allows you to view the comments in SQL Assistant in the DB Explorer tree.

CheckBox Show select procedures only

This option allows you to display only select procedures in the DB Explorer tree.

Procedure Details in SQL Assistant

Specify which details of Interbase/Firebird Procedures are to be displayed in the DB Explorer tree: Input parameters, Output parameters, or both.

See also:

Preferences

Confirmations

Query Builder

Fonts

Grid

Report

Localization


Query Builder

General options

CheckBox Select condition row

Displays the selected condition in different rows within the Criteria and Grouping criteria tabs of Visual Query Builder.

CheckBox Drag field name

Displays the dragged field name in the Builder area.

CheckBox Hide selection when inactive

Hides the current selection when Visual Query Builder is inactive.

CheckBox Show field types in hints

Displays field types next to the field names in the table box.

CheckBox Clear condition on query type changing

Check this option to clear the condition when the query type is changed. Otherwise it will be saved, and you can therefore use your condition for the UPDATE statement in the next SELECT statement to view the updated data.

Visible tabs

These options specify which Visual Query Builder tabs are available and which are not. Check the boxes to make the corresponding tabs visible.

Script format

These options specify the case formatting of keywords and functions in the query text within the Edit tab: As is keeps the original case, Uppercase sets all the keywords/functions to the upper case, Lowercase sets all the keywords/functions to the lower case, and First upper sets the first letters of all keywords/functions to the upper case.

hs4114 - Environment Options - Query Builder

Style

These options specify the way various Visual Query Builder elements look: the Condition button: Flat, 3DLook, Raise; object borders: Bump, Etched, Raised, Sunken. If necessary, you can also specify flatness for objects and buttons using the corresponding options.

Additional

CheckBox XP tables style

This option determines the appearance of non-client areas of tables in Visual Query Builder.

CheckBox Union all by default

With this option set, new union subqueries will be united with already existing subqueries by the UNION ALL clause, otherwise - by the UNION clause.

CheckBox Only select mode

Check this option to disable building of the INSERT, UPDATE and DELETE statements.

CheckBox Use icons

With this option selected, you can see the icons next to the database objects in Visual Query Builder.

See also:

Preferences

Confirmations

DB Explorer

Fonts

Grid

Report

Localization


Color Palette

These options define the colors of various Visual Query Builder elements: active condition row, condition text, condition item text, table client area, etc. Click an item to select a color for the corresponding element using the Color dialog where you can specify the required color from the palette.

hs4115 - Environment Options - Color Palette

Color palette

These options define the colors of various Query Builder elements.

Active condition row (at the Criteria and Grouping criteria tabs):

Environment Options - QB - Style & Color - Active condition row

Condition text (at the Criteria and Grouping criteria tabs):

Environment Options - QB - Style & Color - Condition text

Condition item text (at the Criteria and Grouping criteria tabs):

Environment Options - QB - Style & Color - Condition item text

Table client area (in the diagram area):

Environment Options - QB - Style & Color - Table client area

Work space (in the diagram area):

Environment Options - QB - Style & Color - Work space

Operation (at the Criteria and Grouping criteria tabs):

Environment Options - QB - Style & Color - Operation

Predicate (at the Criteria and Grouping criteria tabs when a subquery is used):

Environment Options - QB - Style & Color - Predicate

Active table caption (in the diagram area):

Environment Options - QB - Style & Color - Active table caption

Inactive table caption (in the diagram area):

Environment Options - QB - Style & Color - Inactive table caption

Field text (in the diagram area):

Environment Options - QB - Style & Color - Field text

Selected field text (in the diagram area):

Environment Options - QB - Style & Color - Selected Field text

Field (at the Criteria and Grouping criteria tabs):

Environment Options - QB - Style & Color - Field

Group (at the Grouping criteria tab):

Environment Options - QB - Style & Color - Group

Click an item to select a color for the corresponding element using the Color dialog where you can specify the required color from the palette.

See also:

Query Builder


Fonts

System font name

Defines the font used by SQL Query for Interbase/Firebird. Select the font name from the drop-down list of available system fonts.

hs4116 - Environment Options - Fonts

System font size

Defines the font size used by SQL Query for Interbase/Firebird. Type in or use the spin editor to specify the required value.

The box below displays the sample text with the selected font applied.

See also:

Preferences

Confirmations

DB Explorer

Query Builder

Grid

Report

Localization


Grid

Colors

Options of this group allow you to set colors for basic grid elements. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.

Grid

Defines the background color of the data grid.

Row

Defines the color of the selected row in the data grid.

Stripy

Defines the color of the odd rows (applied if the Stripy grids option is set).

Display formats

Integer fields

Defines the format for displaying SMALLINT, INTEGER and BIGINT fields.

Float fields

Defines the format for displaying FLOAT, DOUBLE and DECIMAL fields.

DateTime fields

Defines the format for displaying DATETIME fields.

Date fields

Defines the format for displaying DATE fields.

Time fields

Defines the format for displaying TIME and TIMESTAMP fields.

hs4117 - Environment Options - Grid

NULL values

Text

Defines the text that stands for NULL values in grid.

Font color

Defines the font color for displaying NULL values in the grid. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.

Options

CheckBox Stripy grids

Displays the odd grid rows in the colors specified by the Stripy option.

CheckBox Use Ctrl+Up to increase spin values

Allows you to use the Ctrl+Up and the Ctrl+Down key combinations for editing the spin values (numeric field values).

CheckBox Show editor immediately

Checking this option allows you to edit the cell value immediately after you click the cell.

CheckBox Enable auto-search in grid

If this option is checked, the cursor is automatically forwarded to the closest match when you start typing.

CheckBox Row multi-selection

With this option set, multiple rows can be selected in grid.

CheckBox Load all rows mode

With this option off, the grid loads only a fixed number of data records into the memory. This option minimizes dataset loading time. Automatic sorting, filtering, summary calculations are not supported in this mode.

With this option on, the grid loads all records from the returned dataset. This option increases the grid performance by reloading only the modified data records during the update process. In this mode all features (automatic sorting, filtering and summary calculations) are available.

CheckBox Query fetch all records

With this option set, all records are fetched upon a query execution.

CheckBox Show text fields as string

If this option is checked, the text fields are viewed as ordinary strings. Otherwise they are displayed as BLOB fields.

Max fields width (chars)

Defines the maximum width of CHAR and VARCHAR fields displayed in the grid.

Min fields width (chars)

Defines the minimum width of CHAR and VARCHAR fields displayed in the grid.

Grid layout preferences

RadioButton Save and restore layout

Select the option to keep the original grid width.

RadioButton Autofit column width
Select option to shrink the grid columns so that the longest visible value fits the column width.

See also:

Preferences

Confirmations

DB Explorer

Query Builder

Fonts

Report

Localization


Report

Default paper size

Select the default paper size for printable reports created in SQL Query for Interbase/Firebird.

Default page orientation

Select the default page orientation for the reports.

hs4118 - Environment Options - Report

Margins

Use the Left, Right, Top, Bottom spinner controls to specify the corresponding page margins for the output PDF file.

See also:

Preferences

Confirmations

DB Explorer

Query Builder

Fonts

Grid

Localization


Localization

The Localization section of the Environment Options dialog is provided for managing the localization files of SQL Query for Interbase/Firebird.

hs4119 - Environment Options - Localization

You can create your own *.lng files similar to those available in the %program_directory%\Languages folder, add them to the list of available languages and set the new language as the program interface language.

Available Languages

Lists all the languages available for localization and the corresponding *.lng files. Double-click a language in the list to edit its name or the *.lng file.

Default Directory

Specify the directory where the *.lng files are stored by default.

Add Defaults

This button is used for searching for *.lng files in the Default directory and adds all of them to the list.

See also:

Preferences

Confirmations

DB Explorer

Query Builder

Fonts

Grid

Report


Editor options

Editor Options allow you to set the parameters of viewing and editing SQL statements within the SQL Editor tool of the SQL Query application.

To open the Editor Options window, select the Options | Editor Options... main menu item, or use the btnEditorOptions Editor Options button on the main toolbar.

  • General
  • Display
  • Color
  • Quick code

See also:

Environment options

Visual options


General

Editor options

CheckBox Auto indent

If this option is checked, each new indention is the same as in the previous line in SQL Editor.

Indents and outdents are used in the process of text editing to make the source code easier to read.

CheckBox Insert mode

If this option is checked, the insert symbols mode is on by default.

CheckBox Use syntax highlight

Enables syntax highlight in the editor area.

CheckBox Find text at cursor

If this option is checked, the Text to find field in the Find Text and the Replace Text dialog windows is automatically filled with the text the cursor is set over.

CheckBox Show line numbers

If this option is checked, the line numbers are displayed in the SQL editor area.

CheckBox Use folding

Check this option to enable code folding feature of SQL Editor.

CheckBox Use smart caret

If this option is checked, the tab length is variable. After pressing the Tab key the cursor aligns with the nearest first (or last) position of the neighboring line.

hs4121 - Editor options - General

Tab stops

Defines the tab length used when editing SQL text.

Undo limit

Defines the maximum number of changes that can be undone.

See also:

Display

Color

Quick code


Display

Margin and gutter

CheckBox Visible right margin

Makes the right text margin visible.

CheckBox Visible gutter

Makes the gutter visible in the editor window.

hs4122 - Editor options - Display

Right margin

Defines the position of the right text margin in the editor window.

Gutter width

Defines the gutter width in the editor window.

Editor font, Size

Use these options to set the editor font and its size.

CheckBox Show only fixed-width fonts

Check this option if you wish to select the Editor font from the list of fixed-width fonts.

The box below displays the sample text with the selected font applied.

See also:

General

Color

Quick code


Color

The Color section of the Editor Options dialog you can set the background colors and text attributes (Bold, Italic, Underlined) used by the editor to mark out different text fragments: Default, Comments, Strings, SQL Keywords, Numbers, Wrong Symbols, Identifiers, Symbols, Selected Text, etc.

hs4123 - Editor options - Color

Use the Foreground color control to open the Color dialog allowing you to select the required color from the palette. Click the Background color control to select the required color using the Color dialog or leave the default value (white) if no background color is necessary for the selected text fragment.

See also:

General

Display

Quick code


Quick code

Automatic features

CheckBox Code completion

If this option is checked, then on typing the first characters in SQL Editor you are offered several variants for the word completion as a popup list (an analogue of the Code Insight list in Delphi IDE). The code completion list popups after a delay defined by the Delay option.

Delay (sec)

Using this option you can change the time interval the code completion list popups after.

hs4124 - Editor options - Quick code

Keyboard templates

CheckBox Auto launch keyboard templates

Allows you to use keyboard templates for faster typing regularly used expressions (see Keyboard templates).

Quick code list options

RadioButton Sort by scope / RadioButton Sort by name

Switches sorting objects in the popup menu by name or by type (Table, View, etc.).

See also:

General

Display

Color


Visual options

Visual Options allow you to customize the application interface style to your liking.

To open the Visual Options window, select the Options | Visual Options... main menu item, or use the btnVisualOptions Visual Options button on the main toolbar.

Use the Scheme name box to select the interface scheme you would like to be applied: MS Office 11 style, MS Office XP style, MS Office 2000 style, Windows XP native style or Classic style.

It is also possible to create one's own interface scheme, if necessary:

  • set your preferences within the available sections of the Visual options dialog (Bars and Menus, Trees and Lists, Edit Controls, Check boxes, Buttons, etc.);
  • click the Save as... button;
  • specify the new scheme name in the Save Visual Scheme dialog.

Visual Options - Save Visual Scheme

For your convenience the previews illustrating the changes are displayed in the Sample Group area of each section within the Visual options dialog.

See also:

Environment options

Editor options

Keyboard templates

Localization


Bars and Menus

Use the Bars and menus section of the Visual options dialog to customize SQL Query bars style, menus animation and a number of general options concerning toolbars and menus.

Visual Options - Bars and menus

Bar style

Use the drop-down list to select the painting style that will be applied to the bars:

Standard

Enhanced

Flat

XP native

Office 11

Note: If the XP native style is selected, bars use the currently applied XP theme to paint themselves. However, if the currently installed operating system is not Windows XP or the Windows Classic theme is currently applied, bars will be painted using the Enhanced style.

Menu animation

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding drop-down and popup menus)

Fade (menus fade in when appearing)

CheckBox Sunken border

If this option is enabled, the border of each dockable bar is drawn using sunken borders. Otherwise, no border is drawn around the dockable bar.

CheckBox Use F10 for menu

If this option is disabled, the application does not respond to the F10 key press events and the main menu will not will be called.

CheckBox Show full menus after delay

This option is available only if the Menus show recently used commands first option (available in the Customize dialog) is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

CheckBox Flat close buttons

This option determines the border style of the Close buttons.

If this option is enabled, the Close button is drawn flat. Otherwise, it has a 3D look.

CheckBox Gray-scale disabled images

This option specifies whether default images must be painted faded.

By default, images within disabled links are painted grayscale when the XP native or Office11 bar style is used. For other bar styles, such images are painted grayed out.

If this option is enabled, images of disabled links will be painted grayscale independently of the selected bar style.

See also:

Trees and Lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters


Trees and Lists

Use the Trees and lists section of the Visual options dialog to view and edit the corresponding options.

Visual Options - Trees and lists

Look & feel

This setting determines the manner in which tree and list elements are painted. Use the drop-down list to select the painting style that will be applied to the trees and lists:

Standard

Flat

UltraFlat

CheckBox Hide selection

This option specifies how selected tree nodes and list items are displayed when focus leaves the tree or list control.

If this option is enabled, selected nodes look like other nodes. Otherwise, selected nodes/items are highlighted within the tree/list.

CheckBox Hide focus rectangle

This option determines whether a focus rectangle is displayed around the focused tree node or list item within the tree or list control.

If this option is disabled, the focused node/item is not highlighted but the focus rectangle is displayed around it.

CheckBox Native style

This option determines whether the native Windows style will be applied to the trees and lists.

The option has the highest priority for trees and lists. If this option is selected, the tree nodes and list items are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and Menus

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters


Edit controls

Use the Edit controls section of the Visual options dialog to customize the appearance of various SQL Query for Interbase/Firebird edit controls: Border style, Button style, Button transparency, etc.

Visual Options - Edit controls

Border style / Button style

Use these drop-down lists to specify the style around an editor (the edit control borders) and select the painting style that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.) respectively:

None

Single

Thick

Flat

3D

UltraFlat

Button transparency

Represents the button transparency mode within an editor. Use the drop-down list to specify the transparency that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.):

None (a button is always displayed in a non-transparent fashion)

Inactive (a button is drawn when the editor has focus or when the mouse cursor is positioned over the button; otherwise, the button is transparent)

Always (a button is always transparent)

Hide inactive (a button is drawn only when the editor has focus; otherwise, the button is invisible)

Hide unselected (a button is drawn when the editor has focus or when the mouse cursor is positioned over the editor region; otherwise, the button is invisible).

Edges

This group defines which edges are displayed within an editor. Check/uncheck the boxes to hide/show individual edges of the edit controls:

CheckBox Left (if unchecked, the left border edge is invisible)

CheckBox Right (if unchecked, the right border edge is invisible)

CheckBox Top (if unchecked, the top border edge is invisible)

CheckBox Bottom (if unchecked, the bottom border edge is invisible)

CheckBox Hot track

This option specifies whether editor items are highlighted when the mouse cursor is positioned over an edit control. Select this option to highlight an edit control in response to mouse movements.

CheckBox Shadow

If this option is selected, a shadow is displayed for the edit controls.

CheckBox Native style

This option determines whether the native Windows style will be applied to the edit controls.

The option has the highest priority for edit controls. If this option is selected, the edit controls are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and Menus

Trees and Lists

Check boxes

Buttons

Page controls

Group boxes

Splitters


Check boxes

Use the Check boxes section of the Visual options dialog to customize the border style and the appearance of check boxes and radio buttons.

Visual Options - Check boxes

Border style

This setting determines the manner in which check box and radio group borders are painted. Use the drop-down list to select the painting style that will be applied to the check boxes and radio groups:

None

Single

Thick

Flat

3D

UltraFlat

CheckBox Shadow

If this option is selected, a shadow is displayed for the check boxes and radio groups.

CheckBox Native style

This option determines whether the native Windows style will be applied to the check boxes and radio buttons.

The option has the highest priority for check boxes and radio buttons. If this option is selected, the check boxes and radio buttons are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and Menus

Trees and Lists

Edit controls

Buttons

Page controls

Group boxes

Splitters


Buttons

Use the Buttons section of the Visual options dialog to customize SQL Query buttons.

Visual Options - Buttons

Button kind

This setting determines the manner in which a button is painted. Use the drop-down list to select the painting style that will be applied to buttons:

Standard

Flat

UltraFlat

CheckBox Native style

This option determines whether the native Windows style will be applied to the buttons.

The option has a higher priority than the Button kind setting. If this option is selected, the buttons are painted according to the native Windows style, otherwise the Button kind selection is applied.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and Menus

Trees and Lists

Edit controls

Check boxes

Page controls

Group boxes

Splitters


Page controls

Use the Page controls section of the Visual options dialog to customize the style of all SQL Query page controls.

Visual Options - Page controls

Tabs are visual elements of tab controls. Their purpose is to identify pages and switch between them. Once a tab is clicked, the corresponding page is selected.

Pages are container controls that represent the contents of tab controls. Tab controls contain a single page, whose context is to be updated each time the selected tab changes. Page controls contain the number of pages equal to the number of tabs.

Tab style

Use the drop-down list to select the painting style that will be applied to the tab controls:

Tabs (tabs are painted as notebook tabs)

Buttons (the selected tab is painted as a pressed button, other tabs are painted as released buttons)

Flat (tabs are painted as notebook tabs, but appear lowered slightly)

CheckBox Hot track

This option specifies whether tab captions are highlighted when the mouse pointer hovers over tabs. Select this option to enable tab highlighting.

CheckBox Multiline pages

This option specifies whether tabs are arranged across several rows.

If this option is enabled, tabs are automatically arranged into the minimum number of rows required to fit all of them. If this option is disabled, tabs are displayed within a single row.

CheckBox Native style

This option determines whether the native Windows style will be applied to the tab controls.

The option has the highest priority for the tab controls. If this option is selected, the tabs are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and Menus

Trees and Lists

Edit controls

Check boxes

Buttons

Group boxes

Splitters


Group boxes

Use the Group boxes section of the Visual options dialog to customize all SQL Query group boxes to your liking.

Visual Options - Group boxes

Border style

This setting determines the manner in which group box borders are painted. Use the drop-down list to select the painting style that will be applied to the group boxes:

None

Single

Thick

Flat

3D

UltraFlat

CheckBox Shadow

If this option is selected, a shadow is displayed for the group boxes.

CheckBox Native style

This option determines whether the native Windows style will be applied to the group boxes.

The option has the highest priority for the group boxes. If this option is selected, the group boxes are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and Menus

Trees and Lists

Edit controls

Check boxes

Buttons

Page controls

Splitters


Splitters

Use the Splitters section of the Visual options dialog to customize all SQL Query splitters to your liking.

Visual Options - Splitters

Hot zone style

This setting determines the manner in which splitter hot zones are painted. Use the drop-down list to select the hot zone style that will be applied to the splitters:

Windows XP task bar

Media Player 8

Media Player 9

Simple

None (hot zone is disabled)

CheckBox Hot zone drags a splitter

This option is applied when the Hot zone style value is different from None, and specifies whether the splitter can be dragged by its hot zone.

If this option is enabled, you can drag the splitter by its hot zone (i.e. use any part of the splitter's area for dragging). Otherwise, attempts to drag the splitter by the hot zone will have no effect.

See also:

Bars and Menus

Trees and Lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes


Save Settings

Save Settings Wizard allows you to export the settings of SQL Query for Interbase/Firebird - wholly or partially - to a single *.reg file which can be applied afterwards to SQL Query for Interbase/Firebird installed on another machine, or it can be used to backup previous settings.

To start the wizard, select the Options | Save Settings main menu item.

  • Specifying destination file
  • Selecting settings
  • Selecting databases

See also:

Environment Options

Editor Options

Visual Options


Specifying destination file

This step of the wizard allows you to specify the location of the destination file.

Save Settings - Specifying destination file

Filename

Use the Save As.. button to set the path to the *.reg file where the application settings are to be saved.

Press the Next button to proceed to the next step of the wizard.


Selecting settings

This step of the wizard allows you to specify the information you need to be saved to the result file: Database registration info, Database projects, Tabs, Environment options, Editor options, Visual options, Keyboard templates, External tools list, Form placements, MRU lists.

Save Settings - Selecting settings

Press the Next button to proceed to the next step of the wizard.


Selecting databases

This step of the wizard allows you to select the database(s) to save the registration settings.

Save Settings - Selecting databases

To select a database, you need to move its alias from the Available databases list to the Selected databases list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Click the Finish button to start the extraction process.


Keyboard templates

The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly used expressions and to edit the existing ones.

To open this window, select the Options | Keyboard Templates... main menu item, or use the btnKeyboardTemplates Keyboard Templates button on the main toolbar.

To add a new keyboard template, click the Add Template... button, set the template name and define the template expression. In the upper right area of the window you can change the case of the template expression.

You can deactivate an existing template by selecting it from the list on the left and removing the Active flag of the template.

If necessary, you can also edit the template name using the Edit Template... button, delete the template using the Delete Template button or edit the template expression within the Expansion area of the window. For faster editing you can use the Cursor Position, Author, Time, Date buttons.

See also:

Options

Localization


Localization

When using SQL Query for Interbase/Firebird, your are provided with multi-language interface support. You can change the program language and specify the localization directories for your localization files easily.

  • Selecting program language
  • Setting localization directories

See also:

Options

Keyboard templates


SSH tunneling options

To setup the connection via SSH tunnel, input the following values in the corresponding fields:

  • SSH host name is the name of the host where SSH server is running
  • SSH port indicates the port where SSH server is activated
  • SSH user name stands for the user on the machine where SSH server is running (Note: it is a Linux/Windows user, not a user of Interbase/Firebird server)
  • SSH password is the Linux/Windows user password

Please note that Interbase/Firebird host name should be set relatively to the SSH server in this case. For example, if both Interbase/Firebird and SSH servers are located on the same computer, you should specify localhost as host name instead of the server external host name or IP address.

CheckBox Use Private Key for authentication

If the SSH encryption is enabled on the SSH server, a user can generate a pair of cryptographic keys (the Private key and the Public key). The Public key is placed on the SSH server, and the Private key is the part you keep secret inside a secure box that can only be opened with the correct passphrase (or an empty string as the passphrase). When you wish to access the remote system, you open the secure box with your passphrase (if any), and use the private key to authenticate yourself with the Public key on the remote Linux computer.

SSH Key file

Specify the location (the secure box) of the Private key file on your local machine.

Supported Private Key file formats are:

OpenSSH

Putty

SSH.como

Note that you need to trust your local machine not to scrape your passphrase or a copy of your Private key file while it is out of its secure box.

SSH Private Key - Passphrase


Customize toolbars and menus

The Customize dialog allows you to create and personalize SQL Query menus and toolbars.

To call this dialog, click the down-arrow button on the right side of any toolbar, then click Add or Remove Buttons and select Customize... from the drop-down menu. Alternatively, you can right-click any toolbar and select the Customize... popup menu item.

Toolbars

Toolbars

This list displays all currently existing toolbars of SQL Query (both default and user-defined toolbars). Check/uncheck the box at a toolbar name to show/hide the toolbar.

New...

Use this button to add a new user-defined toolbar to the Toolbars list. Set a name for the newly created toolbar and dock it by dragging it to any permitted location within the application window.

Rename...

Use this button to rename the selected user-defined toolbar.

Delete

Use this button to delete the selected user-defined toolbar.

Reset...

Use this button to reset the selected toolbar.

Appendix - Customize - Toolbars

Commands

This tab allows you to browse the list of all commands available within the menus and toolbars of the application window. Selecting categories in the Categories list displays commands of the selected category (e.g. 'Database' or 'Query') in the Commands list.

If necessary, you can pick a command and drag it to any toolbar to create a button for this command.

Appendix - Customize - Commands

Options

Personalized Menus and Toolbars

CheckBox2 Menus show recently used commands first

This option determines whether the most frequently used items will be placed in menus at first position.

If this option is enabled, frequently used menu items are "promoted" and displayed higher on the list. Unused and infrequently used menu items are visually suppressed and appear "collapsed".

CheckBox2 Show full menus after a short delay

This option is available only if the Menus show recently used commands first option is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

Reset my usage data

Resets the lists of recently used commands in the toolbars and menus.

Appendix - Customize - Options

Other

CheckBox2 Large icons

This option displays larger icons on the parent window toolbars.

CheckBox2 Show ToolTips on toolbars

If this option is selected, ToolTips (hints) popup when the mouse cursor is positioned over a toolbar button.

CheckBox2 Show shortcut keys in ToolTips

If this option is selected, the corresponding shortcuts are displayed in ToolTips (hints) for toolbar buttons.

Menu animations

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding menus)

Fade (menus fade in when appearing)


Advanced connectionon settings

You need the installed Oracle client on the client computer where SQL Query for Interbase/Firebird will be used. The version of the Oracle client should be compatible with the version of Oracle server you need to connect.

You need to add the connection settings of Oracle server databases to your TNS names file (tnsnames.ora file). This is a configuration file which contains databases description.

If you use Database Client the tnsnames.ora file is located in the %HOME_name\NETWORK\ADMIN directory.

If you use Instant Client for oracle, you should create tnsnames.ora file manually. since it does not exist. File should be created in the same directory where Oracle instant client is installed (e.g. C:\OracleInstantClient\). This file can be created using any text editor (create a simple text file and then change its name and extension).

Only for Instant Client: After the tnsnames.ora file is created and database description is added, create TNS_ADMIN environment variable. For this please do the following:

  1. Right-click 'My computer'.
  2. Select 'Properties' menu item.
  3. Proceed to the 'Advanced' tab and press 'Environment Variables' button.
  4. Press 'New...' button in the 'System variables' section.
  5. Set 'Variable name:' TNS_ADMIN, 'Variable value:' C:\OracleInstantClien\tnsnames.ora
  6. Press 'OK' button to save the variable.

Find PATH variable in the same dialog, double-click it and add path to the Oracle Instant client libraries (they are located in the directory where client is installed, i.e. C:\OracleInstantClient\). Remember that the paths entries should be separated with semicolons ( ; ).

SQL Query for Interbase/Firebird connects to the server (with the help of Oracle client) via TCP/IP protocol. Here is an example of TCP/IP connection specified in TNS names file:

DB_Alias =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = Host_name)(PORT = 1521))

)

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = Database_Name)

)

)

PROTOCOL is the keyword that identifies the specific protocol adapter used. For this protocol, the value is TCP. The value can be entered in either uppercase or lowercase.

HOST is the host name or IP address.

PORT is the TCP/IP port number.

SERVICE_NAME the name of service on server; the database instance name may differ from the actual database name, but generally the names match.

DB_Alias any name of the connection

When the client is installed, you can register a database in SQL Query for Interbase/Firebird. To open the wizard, select the Database | Register Database... main menu item, or use the btnRegisterDB Register Database button on the main toolbar. You can also use the Shift+Alt+R shortcut for the same purpose.

At the firs step select Oracle client HOME in Home name dropdown list. Proceed to the step Setting registration options and select database from the Database name dropdown list. The databases names are taken from the tnsnames.ora file.